Subject: RE: [pim] how to deal with the situation that the upstram interfacebecomes NULL

From: "Nicholas, Jonathan - ACD " <[email-masked]>
Date: Mon, 10 Oct 2005 06:35:39 -0400

Hello,
 
Noting that Cisco may not be 100% compliant with RFC 3973, which is fairly recent.
 
1a) Per section 4.1, route and state information associated with an (S,G) entry must be maintained as long as any timer associated with that entry is active.  When no timer is active, the (S,G) entry may be discarded.  Therefore, the answer will depend on the particulars of the individual states.
 
1b) Perhaps the text in section 4.6.2 should have included a NULL upstream interface as well as a change of an upstream interface to a downstream interface.  A change in definition of CouldAssert to (CouldAssert(S,G,I) = (RPF_Interface(S) != I && RPF_Interface(S) != NULL)) would create the correct behavior.  In any event, eventually the assert will be timed out or another router will send an assert causing a change of Assert state.
 
2) Hellos remain uneffected.  Timers remain uneffected.  Prune, Join, Graft, and Graft Ack are processed normally - note that an Assert Loser receiving these will send an Assert.  A received Assert will presumably have a better metric causing the interface to become an Assert Loser.  Similarly, traffic from a downstream interface will cause an Assert to be sent, presumably resulting in a new Assert Winner.
 
3) All messages are sent/received normally.
 
Jonathan Nicholas

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
	Sent: Monday, October 10, 2005 4:52 AM
	To: [email-masked]
	Subject: [pim] how to deal with the situation that the upstram interfacebecomes NULL

	Hi friend, 

	    In Cicso switch system, the upstream interface of an multicast entry will become NULL sometimes. 

	    There are 3 causes will lead the upstream interface of an entry to null. They are the multicast function on the upstream interface becomes disable; the wire of the upstream interface is unplugged and the unicast route to the source disappears. 

	    But in latest PIM-DM document (RFC 3973) doesn't discuss this situation, so I don't know how to deal with this situation. Such as: 

	    1. when upstream interface become down, what actions should be done? 

	        a.delete the downstream interface from the chip tabel entry. 

	        b. send assert cancel message if the downstream interface is assert winner. 

	    2. when upstream interface is in the state of NULL, how to deal with the timers, received protocol meassages (prune, assert, graft, graft-ack, join, hello) and traffic from downstream interface? 

	    3. when upstream interface is in the state of NULL, if protocol messages can be sent out in downstream interface? If true, when does the message be sent out? 

	     If you know how to deal with this situation or you have good ideal to deal with it, can you share them or tell me where I can find resoures about it? Thanks a lot! 

	Best Regards!
	keasy shen(葡仞仞)

************************************
This e-mail and any files transmitted with it are proprietary and intended solely for the use of the individual or entity to whom they are addressed. If you have received this e-mail in error please notify the sender. Please note that any views or opinions presented in this e-mail are solely those of the author and do not necessarily represent those of ITT Industries, Inc. The recipient should check this e-mail and any attachments for the presence of viruses. ITT Industries accepts no liability for any damage caused by any virus transmitted by this e-mail.
************************************

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim